curl --request GET \
--url https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"attachments": [
{
"content_id": "<string>",
"content_type": "application/pdf",
"disposition": "attachment",
"filename": "invoice.pdf",
"id": "<string>",
"size_bytes": 12345,
"download_url": "https://app.sendmux.ai/api/v1/mailbox/messages/msg_123/attachment-downloads/attref_abc123?download_token=..."
}
],
"body": {
"extracted_links": [
"<string>"
],
"html": "<string>",
"is_truncated": true,
"quotes_stripped": true,
"signature_stripped": true,
"text": "<string>",
"truncated_at_chars": 123
},
"dates": {
"received_at": "<string>",
"sent_at": "<string>"
},
"headers": {
"full": [
{
"name": "<string>",
"value": "<string>"
}
],
"selected": {
"in_reply_to": "<string>",
"message_id": [
"<string>"
],
"references": [
"<string>"
],
"reply_to": [
{
"email": "agent@example.com",
"name": "Support"
}
]
}
},
"id": "<string>",
"participants": {
"bcc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"cc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"from": {
"email": "agent@example.com",
"name": "Support"
},
"reply_to": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"to": [
{
"email": "agent@example.com",
"name": "Support"
}
]
},
"states": {
"email_state": "<string>",
"option_hash": "<string>"
},
"subject": "<string>",
"thread_id": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Get clean message content
Returns deterministic clean JSON content for one message. Attachment output is metadata only; attachment contents are not parsed by this endpoint.
curl --request GET \
--url https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"attachments": [
{
"content_id": "<string>",
"content_type": "application/pdf",
"disposition": "attachment",
"filename": "invoice.pdf",
"id": "<string>",
"size_bytes": 12345,
"download_url": "https://app.sendmux.ai/api/v1/mailbox/messages/msg_123/attachment-downloads/attref_abc123?download_token=..."
}
],
"body": {
"extracted_links": [
"<string>"
],
"html": "<string>",
"is_truncated": true,
"quotes_stripped": true,
"signature_stripped": true,
"text": "<string>",
"truncated_at_chars": 123
},
"dates": {
"received_at": "<string>",
"sent_at": "<string>"
},
"headers": {
"full": [
{
"name": "<string>",
"value": "<string>"
}
],
"selected": {
"in_reply_to": "<string>",
"message_id": [
"<string>"
],
"references": [
"<string>"
],
"reply_to": [
{
"email": "agent@example.com",
"name": "Support"
}
]
}
},
"id": "<string>",
"participants": {
"bcc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"cc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"from": {
"email": "agent@example.com",
"name": "Support"
},
"reply_to": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"to": [
{
"email": "agent@example.com",
"name": "Support"
}
]
},
"states": {
"email_state": "<string>",
"option_hash": "<string>"
},
"subject": "<string>",
"thread_id": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Headers
Weak ETag from a previous response. Returns 304 when unchanged.
Path Parameters
Message ID.
Query Parameters
Body part to return. auto prefers text when available.
auto, text, html Maximum body characters to return before truncation.
1 <= x <= 1000000When true, remove detected email signatures.
When true, remove quoted reply text.
When true, include links extracted from the body.
When true, include HTML content when available.
Header detail to include in the response.
none, selected, full Attachment detail to include. Contents are not returned.
none, metadata Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.
Response
Clean message content
true Hide child attributes
Hide child attributes
Attachment metadata only. Attachment contents are not parsed by this endpoint.
Hide child attributes
Hide child attributes
Content ID for inline attachments, when present.
"application/pdf"
"attachment"
"invoice.pdf"
Attachment blob ID.
12345
Short-lived URL for this exact attachment. Fetch it promptly; if it expires, call the message or attachment metadata endpoint again to receive a fresh URL.
"https://app.sendmux.ai/api/v1/mailbox/messages/msg_123/attachment-downloads/attref_abc123?download_token=..."
Hide child attributes
Hide child attributes
text, html HTML body when requested. Returned as a JSON string and not as rendered content.
Hide child attributes
Hide child attributes
none, selected, full Hide child attributes
Hide child attributes
Message ID
Hide child attributes
Hide child attributes
Was this page helpful?